Skip to main content
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
playlists
/
{id}
Update Playlist
curl --request PATCH \
  --url https://api.member.dev/api/v1/teams/{team_id}/playlists/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "description": "<string>",
      "hub_id": "<string>",
      "podcast_feed_enabled": true,
      "title": "<string>"
    },
    "id": "<string>",
    "type": "playlists"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "title": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "visibility": "<string>",
      "cover_url": "<string>",
      "cover_url_expires_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "hub_id": "<string>",
      "podcast_feed_enabled": false,
      "podcast_feed_url": "<string>"
    },
    "id": "<string>",
    "type": "<string>",
    "links": {
      "self": "<string>"
    },
    "meta": {},
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "links": {
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
id
string
required

Body

application/vnd.api+json

Request body for PATCH /api/teams/{team_id}/playlists/{id}.

data
PlaylistUpdateData · object
required

Response

Successful Response

Single-resource JSON:API response wrapping a PlaylistResource.

data
JsonApiResource[PlaylistAttributes] · object
required
included
any[] | null
meta
Meta · object